QGIS Application - Feature request #1092
Map Print Composer Enhancements
2008-05-17 10:35 AM - Kenton Williams -

Status: Closed

Priority: Low

Assignee: nobody -

Category:

Pull Request or Patch supplied: Resolution: fixed
Easy fix?: No Copied to github as #: 11152
Description

In Windows QGIS 0.10.0, the Print Composer will not let the user add a new map. Click on the button, nothing happens. Attempt to click
or drag a box in the composer area - nothing happens.

Add an image opens a dialog but doesn't add an image (no map to put it on).
Add a new label does nothing when clicked on.

Add a new vect. legend does nothing when clicked on.

Add a new scalebar does nothing when clicked on.

History

#1 - 2008-05-21 08:37 AM - Marco Pasetti -

Replying to williamskg6:

In Windows QGIS 0.10.0, the Print Composer will not let the user add a new map. Click on the button, nothing happens. Attempt to click or drag a
box in the composer area - nothing happens.

Add an image opens a dialog but doesn't add an image (no map to put it on).
Add a new label does nothing when clicked on.

Add a new vect. legend does nothing when clicked on.

Add a new scalebar does nothing when clicked on.

After pressing the function button you must go to the map layout and just click.

It works for every item mentioned above (map, image, label, legend and scalebar)

The only things that we should probably add are:

1. let user resize the objects using the mouse pointer (such as in [[AutoCAD]] layout composer)

2. show an info label function on-mouse-over the objects, showing out their names (such as "Map1", and so on...); it would be very useful if you are creating
a map layout with multiple map tiles

IMHO

Marco

#2 - 2008-07-16 07:44 AM - Maciej Sieczka -

Marco,
Do we close this one?

#3 - 2008-07-16 08:00 AM - Marco Pasetti -

Replying to [comment:2 msieczkal]:

Marco,

Do we close this one?

No. | just think that we should change the title.

#4 - 2008-07-16 08:06 AM - Maciej Sieczka -

Right, | didn't read #comment:1 carefully. | guess Marco Hugentobler is the right person to evaluate this wish. CCing him.

#5 - 2008-09-09 12:26 AM - Marco Hugentobler
- Status changed from Open to Closed
- Resolution set to fixed

Resizing of items is available now, also tooltip for composer maps. I'm therefore closing this ticket.

#6 - 2009-08-22 12:57 AM - Anonymous

Milestone Version 1.0.0 deleted
